/**
 * CSS for: .EMPLOYEE_PROFILE_SINGLE
 * Used with: flammeum_employee_profile_shortcode()
 */

.EMPLOYEE_PROFILE_SINGLE {
    display: flex;
    flex-direction: row;
    gap: 3em;
    margin-bottom: -1em;
}
.EMPLOYEE_PROFILE_SINGLE + .EMPLOYEE_PROFILE_SINGLE {
    flex-direction: row-reverse;
}

.EMPLOYEE_PROFILE_SINGLE .PROFILE_IMG {
    flex: 0 0 33%;
}
.EMPLOYEE_PROFILE_SINGLE .PROFILE_IMG img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: top;
}

.EMPLOYEE_PROFILE_SINGLE .PROFILE_BIO {
    flex: 1 1 1px;
    margin: auto 0;  /* replace with flex */
}

.EMPLOYEE_PROFILE_SINGLE .PROFILE_BIO h2 {
    font-size: 4em;
    font-weight: normal;
    margin: 1rem 1rem 0;
}
.EMPLOYEE_PROFILE_SINGLE .PROFILE_BIO p {
    text-align: justify;
}

.EMPLOYEE_PROFILE_SINGLE .EMPLOYEE_SEPARATOR {
    height: 1px;
    width: calc(100% - 4em);
    margin: 0 2em 2.5rem;
    vertical-align: top;
    background: #aaa;
}

@media only screen and (min-width: 801px) {
    .EMPLOYEE_PROFILE_SINGLE .PROFILE_BIO {
        padding: 0 1em;
    }
    .EMPLOYEE_PROFILE_SINGLE:nth-child(even) .PROFILE_BIO h2 {
        text-align: right;
    }
    .EMPLOYEE_PROFILE_SINGLE:last-child {
        margin-bottom: 2rem;
    }
}

@media only screen and (max-width: 800px) {
    .EMPLOYEE_PROFILE_SINGLE,
    .EMPLOYEE_PROFILE_SINGLE + .EMPLOYEE_PROFILE_SINGLE {
        display: block;
        margin: 4em 0;
    }
    .EMPLOYEE_PROFILE_SINGLE .PROFILE_BIO h2 {
        margin-top: 0.2em;
    }
    .EMPLOYEE_PROFILE_SINGLE .PROFILE_IMG img {
        max-height: 800px;
    }
}